<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Moon
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div class="wrapper">
	
	<?php do_action( 'nq_moon_before_header' ); ?>

	<header id="masthead" class="site-header">
		<?php
			/**
			 * @hooked nq_moon_site_branding - 0
			 * @hooked nq_moon_menu          - 10
			 */
			do_action( 'nq_moon_header' );
		?>
	</header><!-- #masthead -->

	<?php do_action( 'nq_moon_after_header' ); ?>

	<div id="content" class="site-content">

		<?php do_action( 'nq_moon_before_content' ); ?>

		<div class="container">
