<?php
/**
 * Template for displaying post format.
 *
 * @package Moon
 * @since   1.0.0
 */

// Get post format
$post_format = get_post_format();

switch ( $post_format ):
	case 'gallery' :
		// Get image id
		$images = get_post_meta( get_the_ID(), 'nq_moon_gallery', false );
		$photos = array();

		foreach ( $images as $id ) {
			$link     = wp_get_attachment_image_src( $id, $size );
			$photos[] = $link[0];
		}

		// Main slider
		if ( ! empty( $photos ) ) {
			echo '<div class="moon-gallery">';
				foreach ( $photos as $photo ) {
					echo '<img src="' . $photo . '" />';
				}
			echo '</div>';
		} elseif ( has_post_thumbnail() ) {
			echo '<a href="' . esc_url( get_permalink() ) . '">';
				the_post_thumbnail();
			echo '</a>';
		}
	break;

	case 'audio' :
		$audio      = get_post_meta( $post->ID, 'nq_moon_audio_source', true );
		$soundcloud = get_post_meta( $post->ID, 'nq_moon_audio_link', true );
		$localfile  = get_post_meta( $post->ID, 'nq_moon_audio_self_hosted', true );
		if ( 'soundcloud' == $audio ) {
			global $wp_embed;
			$media_result = $wp_embed->run_shortcode( '[embed]' . esc_url( $soundcloud ) . '[/embed]' );
			echo $media_result;
		} elseif ( 'local' == $audio ) {
			echo do_shortcode('[audio src="' . esc_url( $localfile ) . '"/]');
		} elseif ( has_post_thumbnail() ) {
			echo '<a href="' . esc_url( get_permalink() ) . '">';
				the_post_thumbnail();
			echo '</a>';
		}
	break;

	case 'video' :
		$video       = get_post_meta( $post->ID, 'nq_moon_video_source', true );
		$video_url   = get_post_meta( $post->ID, 'nq_moon_video_link', true );
		$video_embed = get_post_meta( $post->ID, 'nq_moon_video_embed', true );
		$video_local = get_post_meta( $post->ID, 'nq_moon_video_self_hosted', true );

		if ( 'link' == $video ) {
			global $wp_embed;
			$media_result = $wp_embed->run_shortcode( '[embed]' . esc_url( $video_url ) . '[/embed]' );
			echo $media_result;
		} elseif ( 'embed' == $video ) {
			echo $video_embed;
		} elseif ( 'local' == $video ) {
			echo do_shortcode('[video src="' . esc_url( $video_local ) . '"/]');
		} elseif ( has_post_thumbnail() ) {
			echo '<a href="' . esc_url( get_permalink() ) . '">';
				the_post_thumbnail();
			echo '</a>';
		}
	break;

	case 'quote' :
	default :
		if ( has_post_thumbnail() ) {
			echo '<a href="' . esc_url( get_permalink() ) . '">';
				the_post_thumbnail();
			echo '</a>';
		}
	break;
endswitch;